E-MailRelay

Classes | Namespaces | Typedefs
gscope.h File Reference
`#include "gdef.h"`
`#include <functional>`
`#include <utility>`
Include dependency graph for gscope.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | G::ScopeExit
| A class that calls an exit function at the end of its scope. More...
class | G::ScopeExitSet< T, Value >
| A class that sets a simple variable to a particular value at the end of its scope. More...

## Namespaces
namespace | G
| Low-level classes.

## Typedefs
using | G::ScopeExitSetFalse = ScopeExitSet< bool, false >